package com.ociweb.JavaAddLib;

import java.util.Vector;
import java.util.List;
import java.util.logging.*;

import org.omg.CORBA.UserException;

public class AddClient extends CorbaBase {

	public int add(Ref ref, int x, int y)  {
		try {
        	MathModule.Math math = MathModule.MathHelper.narrow(ref.ObjRef);
        	return math.Add(x, y);
		} catch (Exception e) {
			throw new RuntimeException(e);
		}
	}
	
	public Vector<Ref> list() {
		try {
			return Naming.list(_orb);
		} catch (UserException e) {
			throw new RuntimeException(e);
		}
	}
}
